### Hierarchy

- unknown
  - MapValue

## Index

### Constructors

- constructor

### Methods

- getSequenceNr
- getTimeStamp
- serializeBinary
- setSequenceNr
- setTimeStamp
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MapValue(): MapValue

- Inherited from jspb.Message.constructor

  #### Returns MapValue

## Methods

### getSequenceNr

- getSequenceNr(): number

- - Defined in src/protobuf/pb_pb.d.ts:6115

  #### Returns number

### getTimeStamp

- getTimeStamp(): number

- - Defined in src/protobuf/pb_pb.d.ts:6118

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6121

  #### Returns Uint8Array

### setSequenceNr

- setSequenceNr(value: number): MapValue

- - Defined in src/protobuf/pb_pb.d.ts:6116

  #### Parameters

  - ##### value: number

  #### Returns MapValue

### setTimeStamp

- setTimeStamp(value: number): MapValue

- - Defined in src/protobuf/pb_pb.d.ts:6119

  #### Parameters

  - ##### value: number

  #### Returns MapValue

### toObject

- toObject(includeInstance?: boolean): MapValue . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6122

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MapValue . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MapValue

- - Defined in src/protobuf/pb_pb.d.ts:6125

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MapValue

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MapValue, reader: BinaryReader): MapValue

- - Defined in src/protobuf/pb_pb.d.ts:6126

  #### Parameters

  - ##### message: MapValue

  - ##### reader: BinaryReader

  #### Returns MapValue

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MapValue, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6124

  #### Parameters

  - ##### message: MapValue

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MapValue ): MapValue . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6123

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MapValue

  #### Returns MapValue . AsObject

Generated using TypeDoc